﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Input;

namespace RibbonDoubleFire
{

    public delegate void CommandDelegate();

    public class DelegatedCommand : ICommand
    {
        private CommandDelegate commandDelegate;

        public DelegatedCommand(CommandDelegate command)
        {
            commandDelegate = command;
        }

        public bool CanExecute(object parameter)
        {
            return true;
        }

        public event EventHandler CanExecuteChanged;

        public void Execute(object parameter)
        {
            commandDelegate();
        }
    }

    public class MainVM
    {
        private ICommand commnad1;
        public ICommand Command1
        {
            get
            {
                if (commnad1 == null)
                {
                    commnad1 = new DelegatedCommand(CommandMethod1);
                }

                return commnad1;
            }
        }
    
        public void CommandMethod1()
        {
            MessageBox.Show("Button 1 was clicked!");
        }


    }
}
